test:gcc10-mpi-release:
  image: localhost:5000/ubuntu_gcc10_mpi
  stage: test
  needs: []
  script:
    - mkdir -p build/gcc10-release-mpi
    - cd build/gcc10-release-mpi
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make -j 4
    - make test
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-release-mpi"
    paths:
      - build/gcc10-release-mpi
    untracked: true
